package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.IMSSymmKeyAction;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.Arrays;
import java.util.Map;
import java.util.logging.Level;
import org.json.JSONObject;

@Keep
public class SymmetricKeyManager {
   private IMSSymmKeyAction imsSymmKeyAction;
   private Context mContext;
   private String[] stringArray;

   public SymmetricKeyManager(Context context) {
      SymmetricKeyManager var10000 = this;
      SymmetricKeyManager var10001 = this;
      SymmetricKeyManager var10002 = this;
      super();
      String[] var2;
      String[] var10003 = var2 = new String[5];
      var10003[0] = "SM3";
      var10003[1] = "MD5";
      var10003[2] = "SHA1";
      var10003[3] = "SHA256";
      var10003[4] = "SHA512";
      var10002.stringArray = var2;
      IMSSymmKeyAction var3;
      var3 = new IMSSymmKeyAction.<init>(context);
      var10001.imsSymmKeyAction = var3;
      var10000.mContext = context;
   }

   private byte[] doHmacData(@NonNull String userName, @NonNull String PIN, @NonNull String hashAlg, String dek, byte[] plain) {
      return this.imsSymmKeyAction.hmac(userName, PIN, hashAlg, dek, plain);
   }

   private byte[] doCryptoData(@NonNull String userName, @NonNull String PIN, int mode, int padding, boolean encrypt, String dek, byte[] plain) {
      return this.imsSymmKeyAction.crypto(userName, PIN, mode, padding, encrypt, dek, plain);
   }

   private Result getSymmKey(@NonNull String userName, @NonNull String clientID, @NonNull String dekID) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsSymmKeyAction.getDEKBegin(userName, clientID, dekID);
         } catch (Exception var9) {
            var10000 = var9;
            var10001 = false;
            break label41;
         }

         Map var4 = var12;
         if (var12 == null) {
            try {
               return this.imsSymmKeyAction.getLatestResult();
            } catch (Exception var5) {
               var10000 = var5;
               var10001 = false;
            }
         } else {
            label43: {
               SymmetricKeyManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/secret/getSecret"), var4);
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               JSONObject var10 = var15;

               try {
                  return var13.imsSymmKeyAction.getDEKFinal(userName, clientID, dekID, var10);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
               }
            }
         }
      }

      Exception var11 = var10000;
      var11.printStackTrace();
      return new Result("IE1015", var11);
   }

   public void genSymmKey(@NonNull String userName, @NonNull String clientID, @NonNull Result.ResultListener resultListener) {
      Map var4;
      if ((var4 = this.imsSymmKeyAction.genDEKBegin(userName, clientID)) == null) {
         resultListener.handleResult(this.imsSymmKeyAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/secret/updateId");
         Map var10002 = var4;
         NetworkInterface.NetworkCallback var5;
         var5 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$clientID;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$clientID = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSymmKeyAction var10001 = SymmetricKeyManager.this.imsSymmKeyAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.genDEKFinal(var2, var10002.val$clientID, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1059", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "生成DEK失败:".concat(errorMsg));
               XLog.d("生成DEK失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, clientID);
         var10000.httpPost(var10001, var10002, var5);
      }
   }

   public Result genSymmKey(@NonNull String userName, @NonNull String clientID) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsSymmKeyAction.genDEKBegin(userName, clientID);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map var3 = var11;
         if (var11 == null) {
            try {
               return this.imsSymmKeyAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               SymmetricKeyManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/secret/updateId"), var3);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var14;

               try {
                  return var12.imsSymmKeyAction.genDEKFinal(userName, clientID, var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   public void getDEKID(@NonNull String userName, @NonNull String clientID, @NonNull Result.ResultListener resultListener) {
      Map var4;
      if ((var4 = this.imsSymmKeyAction.getDEKIDBegin(userName, clientID)) == null) {
         resultListener.handleResult(this.imsSymmKeyAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/secret/getRecentId");
         Map var10002 = var4;
         NetworkInterface.NetworkCallback var5;
         var5 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$clientID;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$clientID = var4;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSSymmKeyAction var10001 = SymmetricKeyManager.this.imsSymmKeyAction;
               <undefinedtype> var10002 = this;
               String var2 = this.val$userName;
               var10000.handleResult(var10001.getDEKIDFinal(var2, var10002.val$clientID, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1060", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "获取DEKID失败:".concat(errorMsg));
               XLog.d("获取DEKID失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, clientID);
         var10000.httpPost(var10001, var10002, var5);
      }
   }

   public Result getDEKID(@NonNull String userName, @NonNull String clientID) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsSymmKeyAction.getDEKIDBegin(userName, clientID);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map var3 = var11;
         if (var11 == null) {
            try {
               return this.imsSymmKeyAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               SymmetricKeyManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/secret/getRecentId"), var3);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var14;

               try {
                  return var12.imsSymmKeyAction.getDEKIDFinal(userName, clientID, var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   public void encryptData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, int mode, int padding, byte[] plainBytes, Result.ResultListener resultListener) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && (1 == mode || 2 == mode) && (padding == 0 || 1 == padding) && plainBytes != null && plainBytes.length > 0) {
         String var9 = this.imsSymmKeyAction.getCachedDEK(dekID);
         CertManager var10000 = new CertManager(this.mContext);
         Result.ResultListener var10;
         var10 = new Result.ResultListener() {
            // $FF: synthetic field
            final String val$cachedDEK;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$clientID;
            // $FF: synthetic field
            final String val$dekID;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final int val$mode;
            // $FF: synthetic field
            final int val$padding;
            // $FF: synthetic field
            final byte[] val$plainBytes;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$cachedDEK = var2;
               this.val$userName = var3;
               this.val$clientID = var4;
               this.val$dekID = var5;
               this.val$PIN = var6;
               this.val$mode = var7;
               this.val$padding = var8;
               this.val$plainBytes = var9;
               this.val$resultListener = var10;
            }

            public void handleResult(Result result) {
               if (TextUtils.equals("000000", result.getResultID())) {
                  String var2;
                  String var3;
                  int var4;
                  int var5;
                  String var6;
                  byte[] var7;
                  byte[] var9;
                  if (TextUtils.isEmpty(this.val$cachedDEK)) {
                     String result1 = this.val$userName;
                     var2 = this.val$clientID;
                     var3 = this.val$dekID;
                     if (TextUtils.equals("000000", (result = SymmetricKeyManager.this.getSymmKey(result1, var2, var3)).getResultID())) {
                        SymmetricKeyManager var10000 = SymmetricKeyManager.this;
                        var2 = this.val$userName;
                        var3 = this.val$PIN;
                        var4 = this.val$mode;
                        var5 = this.val$padding;
                        var6 = result.getResultDesc();
                        var7 = this.val$plainBytes;
                        if ((var9 = var10000.doCryptoData(var2, var3, var4, var5, true, var6, var7)) != null && var9.length > 0) {
                           result.setResultDesc(Base64.encodeToString(var9, 2));
                        } else {
                           result = new Result.<init>("IE1061");
                        }
                     }

                     this.val$resultListener.handleResult(result);
                  } else {
                     var2 = this.val$userName;
                     var3 = this.val$PIN;
                     var4 = this.val$mode;
                     var5 = this.val$padding;
                     var6 = this.val$cachedDEK;
                     var7 = this.val$plainBytes;
                     if ((var9 = SymmetricKeyManager.this.doCryptoData(var2, var3, var4, var5, true, var6, var7)) != null && var9.length > 0) {
                        result.setResultDesc(Base64.encodeToString(var9, 2));
                     } else {
                        result = new Result.<init>("IE1061");
                     }

                     this.val$resultListener.handleResult(result);
                  }
               } else {
                  this.val$resultListener.handleResult(result);
               }

            }
         }.<init>(var9, userName, clientID, dekID, PIN, mode, padding, plainBytes, resultListener);
         var10000.verifyPIN(userName, PIN, var10);
      } else {
         Result var11;
         var11 = new Result.<init>("IE1013");
         resultListener.handleResult(var11);
      }
   }

   public Result encryptData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, int mode, int padding, byte[] plainBytes) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && (1 == mode || 2 == mode) && (padding == 0 || 1 == padding) && plainBytes != null && plainBytes.length > 0) {
         String var8 = this.imsSymmKeyAction.getCachedDEK(dekID);
         Result var9;
         if (TextUtils.equals("000000", (var9 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID())) {
            byte[] var10;
            if (TextUtils.isEmpty(var8)) {
               Result clientID1;
               if (TextUtils.equals("000000", (clientID1 = this.getSymmKey(userName, clientID, dekID)).getResultID())) {
                  SymmetricKeyManager var10000 = this;
                  String var11 = clientID1.getResultDesc();
                  if ((var10 = var10000.doCryptoData(userName, PIN, mode, padding, true, var11, plainBytes)) != null && var10.length > 0) {
                     clientID1.setResultDesc(Base64.encodeToString(var10, 2));
                  } else {
                     clientID1 = new Result.<init>("IE1061");
                  }
               }

               return clientID1;
            }

            if ((var10 = this.doCryptoData(userName, PIN, mode, padding, true, var8, plainBytes)) != null && var10.length > 0) {
               var9.setResultDesc(Base64.encodeToString(var10, 2));
            } else {
               var9 = new Result.<init>("IE1061");
            }
         }

         return var9;
      } else {
         return new Result("IE1013");
      }
   }

   public void decryptData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, int mode, int padding, byte[] cipherBytes, Result.ResultListener resultListener) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && (1 == mode || 2 == mode) && (padding == 0 || 1 == padding) && cipherBytes != null && cipherBytes.length > 0) {
         CertManager var10000 = new CertManager(this.mContext);
         Result.ResultListener var9;
         var9 = new Result.ResultListener() {
            // $FF: synthetic field
            final String val$dekID;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$clientID;
            // $FF: synthetic field
            final String val$PIN;
            // $FF: synthetic field
            final int val$mode;
            // $FF: synthetic field
            final int val$padding;
            // $FF: synthetic field
            final byte[] val$cipherBytes;
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$dekID = var2;
               this.val$userName = var3;
               this.val$clientID = var4;
               this.val$PIN = var5;
               this.val$mode = var6;
               this.val$padding = var7;
               this.val$cipherBytes = var8;
               this.val$resultListener = var9;
            }

            public void handleResult(Result result) {
               if (TextUtils.equals("000000", result.getResultID())) {
                  String var2;
                  String var3;
                  int var5;
                  byte[] var7;
                  byte[] var9;
                  if (TextUtils.isEmpty(var2 = SymmetricKeyManager.this.imsSymmKeyAction.getCachedDEK(this.val$dekID))) {
                     String result1 = this.val$userName;
                     var2 = this.val$clientID;
                     var3 = this.val$dekID;
                     if (TextUtils.equals("000000", (result = SymmetricKeyManager.this.getSymmKey(result1, var2, var3)).getResultID())) {
                        SymmetricKeyManager var10000 = SymmetricKeyManager.this;
                        var2 = this.val$userName;
                        var3 = this.val$PIN;
                        int var4 = this.val$mode;
                        var5 = this.val$padding;
                        String var6 = result.getResultDesc();
                        var7 = this.val$cipherBytes;
                        if ((var9 = var10000.doCryptoData(var2, var3, var4, var5, false, var6, var7)) != null && var9.length > 0) {
                           result.setResultDesc(Base64.encodeToString(var9, 2));
                        } else {
                           result = new Result.<init>("IE1061");
                        }
                     }

                     this.val$resultListener.handleResult(result);
                  } else {
                     var3 = this.val$userName;
                     String var10 = this.val$PIN;
                     var5 = this.val$mode;
                     int var11 = this.val$padding;
                     var7 = this.val$cipherBytes;
                     if ((var9 = SymmetricKeyManager.this.doCryptoData(var3, var10, var5, var11, false, var2, var7)) != null && var9.length > 0) {
                        result.setResultDesc(Base64.encodeToString(var9, 2));
                     } else {
                        result = new Result.<init>("IE1061");
                     }

                     this.val$resultListener.handleResult(result);
                  }
               } else {
                  this.val$resultListener.handleResult(result);
               }

            }
         }.<init>(dekID, userName, clientID, PIN, mode, padding, cipherBytes, resultListener);
         var10000.verifyPIN(userName, PIN, var9);
      } else {
         Result var10;
         var10 = new Result.<init>("IE1013");
         resultListener.handleResult(var10);
      }
   }

   public Result decryptData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, int mode, int padding, byte[] cipherBytes) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && (1 == mode || 2 == mode) && (padding == 0 || 1 == padding) && cipherBytes != null && cipherBytes.length > 0) {
         Result var8;
         if (TextUtils.equals("000000", (var8 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID())) {
            String var9;
            byte[] var10;
            if (TextUtils.isEmpty(var9 = this.imsSymmKeyAction.getCachedDEK(dekID))) {
               Result clientID1;
               if (TextUtils.equals("000000", (clientID1 = this.getSymmKey(userName, clientID, dekID)).getResultID())) {
                  SymmetricKeyManager var10000 = this;
                  String var11 = clientID1.getResultDesc();
                  if ((var10 = var10000.doCryptoData(userName, PIN, mode, padding, false, var11, cipherBytes)) != null && var10.length > 0) {
                     clientID1.setResultDesc(Base64.encodeToString(var10, 2));
                  } else {
                     clientID1 = new Result.<init>("IE1061");
                  }
               }

               return clientID1;
            }

            if ((var10 = this.doCryptoData(userName, PIN, mode, padding, false, var9, cipherBytes)) != null && var10.length > 0) {
               var8.setResultDesc(Base64.encodeToString(var10, 2));
            } else {
               var8 = new Result.<init>("IE1061");
            }
         }

         return var8;
      } else {
         return new Result("IE1013");
      }
   }

   public void hmacData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, @NonNull String hashAlg, byte[] plainBytes, Result.ResultListener resultListener) {
      Result var9;
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && !TextUtils.isEmpty(hashAlg) && plainBytes != null && plainBytes.length > 0) {
         if (!Arrays.asList(this.stringArray).contains(hashAlg)) {
            var9 = new Result.<init>("IE1013");
            resultListener.handleResult(var9);
         } else {
            CertManager var10000 = new CertManager(this.mContext);
            Result.ResultListener var8;
            var8 = new Result.ResultListener() {
               // $FF: synthetic field
               final String val$dekID;
               // $FF: synthetic field
               final String val$userName;
               // $FF: synthetic field
               final String val$clientID;
               // $FF: synthetic field
               final String val$PIN;
               // $FF: synthetic field
               final String val$hashAlg;
               // $FF: synthetic field
               final byte[] val$plainBytes;
               // $FF: synthetic field
               final Result.ResultListener val$resultListener;

               {
                  this.val$dekID = var2;
                  this.val$userName = var3;
                  this.val$clientID = var4;
                  this.val$PIN = var5;
                  this.val$hashAlg = var6;
                  this.val$plainBytes = var7;
                  this.val$resultListener = var8;
               }

               public void handleResult(Result result) {
                  if (TextUtils.equals("000000", result.getResultID())) {
                     String var2;
                     String var3;
                     String var4;
                     String var5;
                     byte[] var6;
                     byte[] var8;
                     if (TextUtils.isEmpty(var2 = SymmetricKeyManager.this.imsSymmKeyAction.getCachedDEK(this.val$dekID))) {
                        String result1 = this.val$userName;
                        var2 = this.val$clientID;
                        var3 = this.val$dekID;
                        if (TextUtils.equals("000000", (result = SymmetricKeyManager.this.getSymmKey(result1, var2, var3)).getResultID())) {
                           SymmetricKeyManager var10000 = SymmetricKeyManager.this;
                           var2 = this.val$userName;
                           var3 = this.val$PIN;
                           var4 = this.val$hashAlg;
                           var5 = result.getResultDesc();
                           var6 = this.val$plainBytes;
                           if ((var8 = var10000.doHmacData(var2, var3, var4, var5, var6)) != null && var8.length > 0) {
                              result.setResultDesc(Base64.encodeToString(var8, 2));
                           } else {
                              result = new Result.<init>("IE1061");
                           }
                        }

                        this.val$resultListener.handleResult(result);
                     } else {
                        var3 = this.val$userName;
                        var4 = this.val$PIN;
                        var5 = this.val$hashAlg;
                        var6 = this.val$plainBytes;
                        if ((var8 = SymmetricKeyManager.this.doHmacData(var3, var4, var5, var2, var6)) != null && var8.length > 0) {
                           result.setResultDesc(Base64.encodeToString(var8, 2));
                        } else {
                           result = new Result.<init>("IE1061");
                        }

                        this.val$resultListener.handleResult(result);
                     }
                  } else {
                     this.val$resultListener.handleResult(result);
                  }

               }
            }.<init>(dekID, userName, clientID, PIN, hashAlg, plainBytes, resultListener);
            var10000.verifyPIN(userName, PIN, var8);
         }
      } else {
         var9 = new Result.<init>("IE1013");
         resultListener.handleResult(var9);
      }
   }

   public Result hmacData(@NonNull String userName, @NonNull String PIN, @NonNull String clientID, @NonNull String dekID, @NonNull String hashAlg, byte[] plainBytes) {
      if (!TextUtils.isEmpty(userName) && !TextUtils.isEmpty(PIN) && !TextUtils.isEmpty(clientID) && !TextUtils.isEmpty(dekID) && !TextUtils.isEmpty(hashAlg) && plainBytes != null && plainBytes.length > 0) {
         if (!Arrays.asList(this.stringArray).contains(hashAlg)) {
            return new Result("IE1013");
         } else {
            Result var7;
            if (TextUtils.equals("000000", (var7 = (new CertManager(this.mContext)).verifyPIN(userName, PIN)).getResultID())) {
               String var8;
               byte[] var9;
               if (TextUtils.isEmpty(var8 = this.imsSymmKeyAction.getCachedDEK(dekID))) {
                  Result clientID1;
                  if (TextUtils.equals("000000", (clientID1 = this.getSymmKey(userName, clientID, dekID)).getResultID())) {
                     SymmetricKeyManager var10000 = this;
                     String var10 = clientID1.getResultDesc();
                     if ((var9 = var10000.doHmacData(userName, PIN, hashAlg, var10, plainBytes)) != null && var9.length > 0) {
                        clientID1.setResultDesc(Base64.encodeToString(var9, 2));
                     } else {
                        clientID1 = new Result.<init>("IE1061");
                     }
                  }

                  return clientID1;
               }

               if ((var9 = this.doHmacData(userName, PIN, hashAlg, var8, plainBytes)) != null && var9.length > 0) {
                  var7.setResultDesc(Base64.encodeToString(var9, 2));
               } else {
                  var7 = new Result.<init>("IE1061");
               }
            }

            return var7;
         }
      } else {
         return new Result("IE1013");
      }
   }
}
